> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mezmo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event metrics for a pipeline

> Query and fetch event metrics for a pipeline



## OpenAPI

````yaml /pipeline.yaml get /pipeline/{pipeline_id}/event_metrics
openapi: 3.1.0
info:
  title: Pipeline API
  description: API for the Pipeline product
  version: 3.345.5
servers:
  - url: https://api.mezmo.com/v3
security:
  - PipelineServiceKey: []
tags:
  - name: Internal
    description: Routes not accessible by outside users
  - name: Experimental
    description: Experimental routes, not intended for public consumption
  - name: Account
    description: Perform account level actions
  - name: Alerting
    description: API to control alerts on pipelines
  - name: Data Classification & Profiling
    description: API for classifying and profiling data
  - name: Edge - Local Deploy
    description: User routes that are available to use with local Edge instances
  - name: Incident Mode
    description: Change or read state of pipeline (incident mode on/off)
  - name: Log Volume Reduction
    description: CRUD operations for log volume reduction
  - name: Metrics
    description: Usage metrics for pipelines
  - name: Pipeline Export
    description: Export pipeline to terraform
  - name: Pipeline Management
    description: CRUD Operations for pipeline
  - name: Pipeline Nodes
    description: CRUD operations for sources, processors, and destinations
  - name: Processor Groups
    description: CRUD operations for Processor Groups
  - name: Shared Sources
    description: Create and manage sources for use across multiple pipelines
  - name: Sampling and Simulation
    description: >-
      Create samples of data and run them through a simulated pipeline without
      affecting your published pipeline
externalDocs:
  url: https://docs.mezmo.com/pipeline-api
paths:
  /pipeline/{pipeline_id}/event_metrics:
    get:
      tags:
        - Metrics
      summary: Get event metrics for a pipeline
      description: Query and fetch event metrics for a pipeline
      parameters:
        - schema:
            type: number
            minimum: 300
            maximum: 1296000
            title: Bucket size
            bucket_within_range:
              unit: seconds
              from_field: from
              to_field: to
          in: query
          name: bucket
          required: true
          description: The interval, in seconds, over which events will be grouped
        - schema:
            enum:
              - app
              - host
              - label
              - level
            default: app
            title: The field to group by
          in: query
          name: field
          required: false
          description: The field in the event to group events by
        - schema:
            type: string
            format: date-time
            title: Events from
          in: query
          name: from
          required: true
          description: The event metrics start date
        - schema:
            type: string
            format: date-time
            title: Events to
            date_time_greater_than:
              field: from
          in: query
          name: to
          required: true
          description: The event metrics end date
        - schema:
            type: boolean
            title: With metric changes
            default: false
          in: query
          name: with_changes
          required: false
          description: Include metric changes compared to the previous duration
        - schema:
            type: string
            format: uuid
          in: path
          name: pipeline_id
          required: true
      responses:
        '200':
          description: Default Response
components:
  securitySchemes:
    PipelineServiceKey:
      type: apiKey
      name: Authorization
      in: header
      description: 'Enter your token in the format: Token mytokengoeshere'

````